summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2015-08-16 16:57:24 -0700
committerGravatar Dirk Hohndel <dirk@hohndel.org>2015-08-16 17:39:25 -0700
commit128493ae8aea15e9e6ca2c8a093ba0b5a5c27abd (patch)
tree04f864bbaf5bf82012b845406985a101608b1790 /scripts
parent530c3a388b94411329666ac07393afcff1f11b63 (diff)
downloadsubsurface-128493ae8aea15e9e6ca2c8a093ba0b5a5c27abd.tar.gz
Build script: fix install_name for libssrfmarblewidget on Mac
Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index 9a3ed5a4c..64a92f678 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -154,6 +154,16 @@ cd src/lib/marble
make -j4
make install
+if [ $PLATFORM = Darwin ] ; then
+ # in order for macdeployqt to do its job correctly, we need the full path in the dylib ID
+ cd $INSTALL_ROOT/lib
+ NAME=$(otool -L libssrfmarblewidget.dylib | grep -v : | head -1 | cut -f1 -d\ | tr -d '\t' | cut -f3 -d/ )
+ echo $NAME | grep / > /dev/null 2>&1
+ if [ $? -eq 1 ] ; then
+ install_name_tool -id "$INSTALL_ROOT/lib/$NAME" "$INSTALL_ROOT/lib/$NAME"
+ fi
+fi
+
# build grantlee
cd $SRC